import PyPDF2
import pytesseract
from PIL import Image
from wand.image import Image as wImage
import io

def _detect_image_rotated(p_image):
    try:
        osd_data = pytesseract.image_to_osd(p_image).split("\n")
    except pytesseract.TesseractError:
        return False
    orientation_line = osd_data[1]
    orientation = int(orientation_line.split(" ")[-1])
    if orientation > 160 and orientation < 200:
        return True
    return False

def get_pdf_as_image(p_path_to_pdf):
    image = wImage(filename=p_path_to_pdf, resolution=300)
    converted = image.convert("jpg")

    image_list = []

    for img in converted.sequence:
        page = wImage(image=img)
        blob = page.make_blob("jpg")
        i = Image.open(io.BytesIO(blob))
        if _detect_image_rotated(i):
            i = i.rotate(180)
        image_list.append(i)
        
    return image_list